Subject: bug#3395: 23.0.94; Remove colon after option etc. name

From: "Drew Adams" <[email-masked]>
Date: Thu, 28 May 2009 11:24:14 -0700

>  > I don't use `variable-at-point'. I do use a command that 
>  > uses Emacs-Lisp symbol
>  > syntax, which is the right syntax to use here.
> 
> So you request a change of cus-edit.el just because you're not able to
> write a command that DTRT here ;-)

Don't be ridiculous. No one needs to write a command to accommodate this defect.

>  >> Commands that do not change the syntax table do get this 
>  >> right.  Try, for example, info-lookup on such an item.
>  >> It should even work for unlispified items.
>  >
>  > That's fine, but it is totally unrelated to what I 
>  > reported and requested.
> 
> It is related because it can find things you're not able to find.

This bug report is only about what it states: removing the colon.

>  > This is not about changing the command. It is simply about 
>  > removing the useless colon. Is that too hard?
> 
> It might be.

Then I guess you'll have to mark it too hard to fix, and move on.

>  >> Changing customization code is 100% dangerous.
>  >
>  > Don't be ridiculous. You are making, in several separate 
>  > ways, a mountain out of a mole hill.
> 
> Hence code like
> 	     (unless (string-match ":" format)
> 	       (error "Bad format"))
> 
> in cus-edit.el is something you understand and can explain.

I don't understand the question or comment. What's the point?